Overview
POST
/monitoring/health-checksmonitoringCreate health_checks
Create a record in health-checks.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- endpointIdstring
- statusstring
- responseTimeMsoptionalinteger?
- statusCodeoptionalinteger?
- errorMessageoptionalstring?
- checkedAtstring
Example
{
"endpointId": "string",
"status": "string",
"responseTimeMs": 0,
"statusCode": 0,
"errorMessage": "string",
"checkedAt": "string"
}Responses
201
health_checks
- idstring
- endpointIdstring
- userIdstring
- ownerKindstring
- ownerIdstring
- statusstring
- responseTimeMsinteger?
- statusCodeinteger?
- errorMessagestring?
- checkedAtstring
Example
{
"id": "string",
"endpointId": "string",
"userId": "string",
"ownerKind": "string",
"ownerId": "string",
"status": "string",
"responseTimeMs": 0,
"statusCode": 0,
"errorMessage": "string",
"checkedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/monitoring/health-checks" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"endpointId": "string",
"status": "string",
"responseTimeMs": 0,
"statusCode": 0,
"errorMessage": "string",
"checkedAt": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/monitoring/health-checks", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"endpointId\": \"string\",\n \"status\": \"string\",\n \"responseTimeMs\": 0,\n \"statusCode\": 0,\n \"errorMessage\": \"string\",\n \"checkedAt\": \"string\"\n}",
});
const data = await res.json();